package com.sf._03_throws;

public class Test1 {
    /**
     * 定义一个打印数组元素的方法，方法声明抛出异常
     */
    public static void printArr(int[] arr) throws NullPointerException {
        for (int i : arr) {
            System.out.println(i);
        }
    }

    public static void main(String[] args) throws NullPointerException {
        int[] arr = null;
        printArr(arr);

        System.out.println("后续代码");

    }
}
